Bug 1047236 - rsyncd.socket does not work
rsyncd.socket does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
20
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On: 1018520
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-29 22:04 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2014-01-12 00:00 EST (History)
6 users (show)

See Also:
Fixed In Version: rsync-3.1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1018520
Environment:
Last Closed: 2014-01-12 00:00:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-12-29 22:04:15 EST
+++ This bug was initially created as a clone of Bug #1018520 +++

> Description of problem: The systemd rsyncd.socket unit does not work.  It says "Accept=yes".
> According to "man systemd.socket", when Accept is set to yes,
> there must be an accompanying rsyncd@.service file.  But there is no such file 
> in the rpm.  Instead, we have rsyncd.service, which works fine on a standalone
> basis without using the rsyncd.socket unit.  But it would be nice if
> rsyncd.socket were to work so I wouldn't need to leave the rsyncd server
> running all the time.

Version-Release number of selected component (if applicable):
rsync-3.1.0-1pre1.fc20.x86_64

--- Additional comment from Jef Spaleta on 2013-12-29 14:34:13 EST ---

> I've heard reports that rsyncd.socket isn't working in F20.

Yes, it's still broken. Same fix as for F19 needs to be applied.
Comment 1 Michal Luscon 2013-12-30 10:41:53 EST
Thank you for heads-up. The same fix was applied in F20, but unfortunately the bodhi update system seems to have difficulties with preparing update from this F20 build. As a workaround solution you can use koji build from http://koji.fedoraproject.org/koji/buildinfo?buildID=472656 .

I am sorry for any inconveniences.
Comment 2 Fedora Update System 2014-01-09 04:24:04 EST
rsync-3.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rsync-3.1.0-2.fc20
Comment 3 Fedora Update System 2014-01-10 02:45:55 EST
Package rsync-3.1.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rsync-3.1.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0520/rsync-3.1.0-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-12 00:00:29 EST
rsync-3.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.